ToolsResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class ToolsResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.ToolsResourceApi

-     public class ToolsResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolsResourceApi()`
    `ToolsResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiEcho` | `echo(String message)` Echoes the provided message back to the caller.
    `okhttp3.Call` | `echoAsync(String message, ApiCallback<ApiEcho> callback)` Echoes the provided message back to the caller.
    `okhttp3.Call` | `echoCall(String message, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for echo
    `ApiEcho` | `echoError(String message)` Throws an error containing the given input message.
    `okhttp3.Call` | `echoErrorAsync(String message, ApiCallback<ApiEcho> callback)` Throws an error containing the given input message.
    `okhttp3.Call` | `echoErrorCall(String message, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for echoError
    `ApiResponse<ApiEcho>` | `echoErrorWithHttpInfo(String message)` Throws an error containing the given input message.
    `ApiResponse<ApiEcho>` | `echoWithHttpInfo(String message)` Echoes the provided message back to the caller.
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolsResourceApi

          public ToolsResourceApi()

    - #### ToolsResourceApi

          public ToolsResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### echoCall

          public okhttp3.Call echoCall(String message,
                                       ProgressResponseBody.ProgressListener progressListener,
                                       ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                throws ApiException

      Build call for echo
      Parameters:
        `message` - The message to echo back (optional, default to Hello, World!)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### echo

          public ApiEcho echo(String message)
                       throws ApiException

      Echoes the provided message back to the caller. Echoes the provided message back to the caller.
      Parameters:
        `message` - The message to echo back (optional, default to Hello, World!)
      Returns:
        ApiEcho
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### echoWithHttpInfo

          public ApiResponse<ApiEcho> echoWithHttpInfo(String message)
                                                throws ApiException

      Echoes the provided message back to the caller. Echoes the provided message back to the caller.
      Parameters:
        `message` - The message to echo back (optional, default to Hello, World!)
      Returns:
        ApiResponse<ApiEcho>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### echoAsync

          public okhttp3.Call echoAsync(String message,
                                        ApiCallback<ApiEcho> callback)
                                 throws ApiException

      Echoes the provided message back to the caller. (asynchronously) Echoes the provided message back to the caller.
      Parameters:
        `message` - The message to echo back (optional, default to Hello, World!)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

    - #### echoErrorCall

          public okhttp3.Call echoErrorCall(String message,
                                            ProgressResponseBody.ProgressListener progressListener,
                                            ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                     throws ApiException

      Build call for echoError
      Parameters:
        `message` - The error message to echo (optional, default to Default error message)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### echoError

          public ApiEcho echoError(String message)
                            throws ApiException

      Throws an error containing the given input message. Throws an error containing the given input message. This is what an error response looks like. <pre> { \"message\": \"An error message\", \"causes\": [ \"A list of causes\", \"Potentially null\" ] } </pre> <p>The <em>message</em> field contains a description of the error. The <em>causes</em> field, if not null, contains a list of causes for the error. </p> <p>Note that this <strong>never</strong> returns an echoMessage. Instead, the result (and all error results) has the above structure. </p>
      Parameters:
        `message` - The error message to echo (optional, default to Default error message)
      Returns:
        ApiEcho
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### echoErrorWithHttpInfo

          public ApiResponse<ApiEcho> echoErrorWithHttpInfo(String message)
                                                     throws ApiException

      Throws an error containing the given input message. Throws an error containing the given input message. This is what an error response looks like. <pre> { \"message\": \"An error message\", \"causes\": [ \"A list of causes\", \"Potentially null\" ] } </pre> <p>The <em>message</em> field contains a description of the error. The <em>causes</em> field, if not null, contains a list of causes for the error. </p> <p>Note that this <strong>never</strong> returns an echoMessage. Instead, the result (and all error results) has the above structure. </p>
      Parameters:
        `message` - The error message to echo (optional, default to Default error message)
      Returns:
        ApiResponse<ApiEcho>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### echoErrorAsync

          public okhttp3.Call echoErrorAsync(String message,
                                             ApiCallback<ApiEcho> callback)
                                      throws ApiException

      Throws an error containing the given input message. (asynchronously) Throws an error containing the given input message. This is what an error response looks like. <pre> { \"message\": \"An error message\", \"causes\": [ \"A list of causes\", \"Potentially null\" ] } </pre> <p>The <em>message</em> field contains a description of the error. The <em>causes</em> field, if not null, contains a list of causes for the error. </p> <p>Note that this <strong>never</strong> returns an echoMessage. Instead, the result (and all error results) has the above structure. </p>
      Parameters:
        `message` - The error message to echo (optional, default to Default error message)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.